Rated 5 out of 5 stars

It still works, just use this addon (also for other addons "not compatible" with FF 989856 or what is the current version): https://addons.mozilla.org/cs/firefox/addon/add-on-compatibility-reporter/